package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.Altitude;
import com.ruoyi.system.domain_shate.Aspect;
import com.ruoyi.system.domain_shate.Slope;
import com.ruoyi.system.mapper_shate.TopographicFactorMapper;
import com.ruoyi.system.service_shate.ITopographicFactorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:30
 */
@Service
public class TopographicFactorServiceIpml implements ITopographicFactorService {

    @Resource
    private  TopographicFactorMapper mapper;

    @Override
    public List<Altitude> sqlYear() {
        return mapper.sqlYear();
    }

    @Override
    public List<Slope> sqlYear1() {
        return mapper.sqlYear1();
    }

    @Override
    public List<Aspect> sqlYear2() {
        return mapper.sqlYear2();
    }

    @Override
    public List<Altitude> sqlAltitude(String zone,String year) {

        return mapper.sqlAltitude(zone,year);
    }

    @Override
    public List<Slope> sqlSlope(String zone,String year) {
        return mapper.sqlSlope(zone,year);
    }

    @Override
    public List<Aspect> sqlAspect(String zone,String year) {
        return mapper.sqlAspect(zone,year);
    }

    @Override
    public Integer InsertSlope(Slope slope) {
        return mapper.InsertSlope(slope);
    }

    @Override
    public Integer InsertAltitude(Altitude altitude) {
        return mapper.InsertAltitude(altitude);
    }

    @Override
    public Integer InsertAspect(Aspect aspect) {
        return mapper.InsertAspect(aspect);
    }
}
